$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Confirmation"
type: "object"

properties:
  confirmation_id:
    $ref: "../ids.json#/definitions/ConfirmationId"
  sample_id:
    $ref: "../ids.json#/definitions/SampleId"
  run_id:
    $ref: "../ids.json#/definitions/RunId"
  hgvs_g:
    $ref: "../core.json#/definitions/HGVSExpression"
  status:
    $ref: "../core.json#/definitions/Status"
  stage:
    $ref: "../core.json#/definitions/ConfirmationStage"

required:
  - confirmation_id
